summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'bin/isolated-functions.sh')
-rw-r--r--bin/isolated-functions.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/bin/isolated-functions.sh b/bin/isolated-functions.sh
index dcd23084..de62d861 100644
--- a/bin/isolated-functions.sh
+++ b/bin/isolated-functions.sh
@@ -2,11 +2,15 @@
# Distributed under the terms of the GNU General Public License v2
# $Header$
-# Internal logging function, don't use this in ebuilds
+quiet_mode() {
+ [[ ${PORTAGE_QUIET} -eq 1 ]]
+}
+
vecho() {
- [[ ${PORTAGE_QUIET} == "1" ]] || echo "$@"
+ quiet_mode || echo "$@"
}
+# Internal logging function, don't use this in ebuilds
elog_base() {
local messagetype
[ -z "${1}" -o -z "${T}" -o ! -d "${T}/logging" ] && return 1